Package weka.classifiers.bayes

# Class WAODE

java.lang.Object
weka.classifiers.Classifier
weka.classifiers.bayes.WAODE

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `CapabilitiesHandler`, `OptionHandler`, `RevisionHandler`, `TechnicalInformationHandler`

public class WAODE extends Classifier implements TechnicalInformationHandler
WAODE contructs the model called Weightily Averaged One-Dependence Estimators.
For more information, see
L. Jiang, H. Zhang: Weightily Averaged One-Dependence Estimators. In: Proceedings of the 9th Biennial Pacific Rim International Conference on Artificial Intelligence, PRICAI 2006, 970-974, 2006.

BibTeX:

     @inproceedings{Jiang2006,
        author = {L. Jiang and H. Zhang},
        booktitle = {Proceedings of the 9th Biennial Pacific Rim International Conference on Artificial Intelligence, PRICAI 2006},
        pages = {970-974},
        series = {LNAI},
        title = {Weightily Averaged One-Dependence Estimators},
        volume = {4099},
        year = {2006}
     }

Valid options are:

     -D
      If set, classifier is run in debug mode and
      may output additional info to the console

     -I
      Whether to print some more internals.
      (default: no)

Version:
  $Revision: 5516 $
Author:
  Liangxiao Jiang (ljiang@cug.edu.cn), H. Zhang (hzhang@unb.ca)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`WAODE()`

## Method Summary

Modifier and Type
Method
Description
`void`
`buildClassifier(Instances instances)`
Generates the classifier.
`double[]`
`distributionForInstance(Instance instance)`
Calculates the class membership probabilities for the given test instance
`Capabilities`
`getCapabilities()`
Returns default capabilities of the classifier.
`boolean`
`getInternals()`
Gets whether more internals of the classifier are printed.
`String[]`
`getOptions()`
Gets the current settings of the filter.
`String`
`getRevision()`
Returns the revision string.
`TechnicalInformation`
`getTechnicalInformation()`
Returns an instance of a TechnicalInformation object, containing detailed information about the technical background of this class, e.g., paper reference or book this class is based on.
`String`
`globalInfo()`
Returns a string describing this classifier
`String`
`internalsTipText()`
Returns the tip text for this property
`Enumeration`
`listOptions()`
Gets an enumeration describing the available options.
`static void`
`main(String[] argv)`
Main method for testing this class.
`void`
`setInternals(boolean value)`
Sets whether internals about classifier are printed via toString().
`void`
`setOptions(String[] options)`
Parses a given list of options.
`String`
`toString()`
returns a string representation of the classifier

### Methods inherited from class weka.classifiers.Classifier

`classifyInstance, debugTipText, forName, getDebug, makeCopies, makeCopy, setDebug`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WAODE

public WAODE()

## Method Details

### globalInfo

public String globalInfo()
Returns a string describing this classifier

Returns:
  a description of the classifier suitable for displaying in the explorer/experimenter gui

### listOptions

public Enumeration listOptions()
Gets an enumeration describing the available options.

Specified by:
  `listOptions` in interface `OptionHandler`
Overrides:
  `listOptions` in class `Classifier`
Returns:
  an enumeration of all the available options.

### setOptions

public void setOptions(String[] options) throws Exception
Parses a given list of options.

Valid options are:

     -D
      If set, classifier is run in debug mode and
      may output additional info to the console

     -I
      Whether to print some more internals.
      (default: no)

Specified by:
  `setOptions` in interface `OptionHandler`
Overrides:
  `setOptions` in class `Classifier`
Parameters:
  `options` - the list of options as an array of strings
Throws:
  `Exception` - if an option is not supported

### getOptions

public String[] getOptions()
Gets the current settings of the filter.

Specified by:
  `getOptions` in interface `OptionHandler`
Overrides:
  `getOptions` in class `Classifier`
Returns:
  an array of strings suitable for passing to setOptions

### internalsTipText

public String internalsTipText()
Returns the tip text for this property

Returns:
  tip text for this property suitable for displaying in the explorer/experimenter gui

### setInternals

public void setInternals(boolean value)
Sets whether internals about classifier are printed via toString().

Parameters:
  `value` - if internals should be printed
See Also:
  - `toString()`

### getInternals

public boolean getInternals()
Gets whether more internals of the classifier are printed.

Returns:
  true if more internals are printed

### getTechnicalInformation

public TechnicalInformation getTechnicalInformation()
Returns an instance of a TechnicalInformation object, containing detailed information about the technical background of this class, e.g., paper reference or book this class is based on.

Specified by:
  `getTechnicalInformation` in interface `TechnicalInformationHandler`
Returns:
  the technical information about this class

### getCapabilities

public Capabilities getCapabilities()
Returns default capabilities of the classifier.

Specified by:
  `getCapabilities` in interface `CapabilitiesHandler`
Overrides:
  `getCapabilities` in class `Classifier`
Returns:
  the capabilities of this classifier
See Also:
  - `Capabilities`

### buildClassifier

public void buildClassifier(Instances instances) throws Exception
Generates the classifier.

Specified by:
  `buildClassifier` in class `Classifier`
Parameters:
  `instances` - set of instances serving as training data
Throws:
  `Exception` - if the classifier has not been generated successfully

### distributionForInstance

public double[] distributionForInstance(Instance instance) throws Exception
Calculates the class membership probabilities for the given test instance

Overrides:
  `distributionForInstance` in class `Classifier`
Parameters:
  `instance` - the instance to be classified
Returns:
  predicted class probability distribution
Throws:
  `Exception` - if there is a problem generating the prediction

### toString

public String toString()
returns a string representation of the classifier

Overrides:
  `toString` in class `Object`
Returns:
  string representation of the classifier

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Overrides:
  `getRevision` in class `Classifier`
Returns:
  the revision

### main

public static void main(String[] argv)
Main method for testing this class.

Parameters:
  `argv` - the commandline options, use -h to list all options